
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops toolbox

Miscellaneous, experimental, or infrequently used commands.

### Options

```
  -h, --help   help for toolbox
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops](kops.md)	 - kOps is Kubernetes Operations.
* [kops toolbox addons](kops_toolbox_addons.md)	 - Manage addons
* [kops toolbox clusterapi](kops_toolbox_clusterapi.md)	 - ClusterAPI commands
* [kops toolbox dump](kops_toolbox_dump.md)	 - Dump cluster information
* [kops toolbox enroll](kops_toolbox_enroll.md)	 - Add machine to cluster
* [kops toolbox instance-selector](kops_toolbox_instance-selector.md)	 - Generate instance-group specs by providing resource specs such as vcpus and memory.
* [kops toolbox template](kops_toolbox_template.md)	 - Generate cluster.yaml from template

